Package org.eclipse.birt.core.template

# Class ASTAttribute

java.lang.Object
org.eclipse.birt.core.template.SimpleNode
org.eclipse.birt.core.template.ASTAttribute

All Implemented Interfaces:
  `Node`

public class ASTAttribute extends SimpleNode

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
`protected String`
`value`

### Fields inherited from class org.eclipse.birt.core.template.SimpleNode

`children, id, parent, parser`

## Constructor Summary

Constructors
Constructor
Description
`ASTAttribute(int id)`
`ASTAttribute(Parser p, int id)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getValue()`
`Object`
`jjtAccept(ParserVisitor visitor, Object data)`
Accept the visitor.
`void`
`setName(String name)`
`void`
`setValue(String value)`

### Methods inherited from class org.eclipse.birt.core.template.SimpleNode

`childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

protected String name

### value

protected String value

## Constructor Details

### ASTAttribute

public ASTAttribute(int id)

### ASTAttribute

public ASTAttribute(Parser p, int id)

## Method Details

### jjtAccept

public Object jjtAccept(ParserVisitor visitor, Object data)
Accept the visitor.

Specified by:
  `jjtAccept` in interface `Node`
Overrides:
  `jjtAccept` in class `SimpleNode`

### setName

public void setName(String name)

### setValue

public void setValue(String value)

### getName

public String getName()

### getValue

public String getValue()